Skip to main content
POST
Create contact

Authorizations

Authorization
string
header
required

Authentication can be done by using a bearer token in the Authorization header. This is done using the following format Authorization: Bearer {token}.

Path Parameters

tenantId
string<uuid>
required

Id of the tenant the contacts belong to

Body

application/json
name
string
required

Name of the contact, e.g. the company or person

email
string<email> | null

Email address emails from a case can be sent to

phone
object | null

Phone number. null when unknown.

registryIdentifier
object | null

Company or person identifier of the contact, e.g. a CVR number. null when unknown.

bankAccount
object | null

Bank account payouts to the contact are made to. null when the contact is only used as an email or phone recipient.

Response

Successful operation

id
string<uuid>
required

Id of the contact

tenantId
string<uuid>
required

Id of the tenant the contact belongs to

name
string
required

Name of the contact, e.g. the company or person

email
string<email> | null
required

Email address emails from a case can be sent to

phone
object | null
required

Phone number. null when unknown.

registryIdentifier
object | null
required

Company or person identifier of the contact, e.g. a CVR number. null when unknown.

bankAccount
object | null
required

Bank account payouts to the contact are made to. null when the contact is only used as an email or phone recipient.

createdAt
string<date-time>
required

When the contact was created

createdBy
object
required

Who created the contact

updatedAt
string<date-time> | null
required

When the contact was last updated. null when never updated.

updatedBy
object | null
required

Who last updated the contact. null when never updated.